<?php

namespace UW\FCS\Alert;

use XF\Mvc\Entity\Entity;
class Comment extends \XF\Alert\AbstractHandler
{
    public function getEntityWith()
    {
        return ['Post','Thread'];
    }
    public function getOptOutActions()
    {
            return [
                    'insert',
                    'insert_my',
            ];
    }
    public function canViewContent(Entity $entity, &$error = null)
    {
        if($entity && $entity->canView())
        {
            return True;
        }
        return false;
    }
}