<?php

namespace UW\FCS\Extend\Pub\Controller;

class Account extends XFCP_Account
{    
    protected function preferencesSaveProcess(\XF\Entity\User $visitor)
    {
        $form = parent::preferencesSaveProcess($visitor);
        $input = $this->filter([
            'option' => [
                'comment_notif_all' => 'bool',
            ]
        ]);

        $keepRecent = $input['option']['comment_notif_all'];

        $form->setup(function() use ($visitor, $keepRecent)
        {
            $visitor->Option->comment_notif_all = $keepRecent;
        });
        return $form;
    }
}