<?php

namespace UW\FCS\Extend\Service\Post;

class Merger extends XFCP_Merger
{
    protected function moveDataToTarget()
    {
        $db = $this->db();
        $target = $this->target;

        $sourcePosts = $this->sourcePosts;
        $sourcePostIds = array_keys($sourcePosts);
        $sourceIdsQuoted = $db->quote($sourcePostIds);
                
        $rows = $db->update('xf_uw_comment',
                ['post_id' => $target->post_id,
                'thread_id' => $target->thread_id
                ],
                    "post_id IN ($sourceIdsQuoted)");
        
        return parent::moveDataToTarget();
    }
}
