<?php

namespace UW\FCS\Extend\Admin\Controller;

use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

class AddOn extends XFCP_AddOn
{       
    
    protected function displayAddOnActionStep(
		\XF\AddOn\AddOn $addOn,
		\XF\AddOn\StepResult $result = null,
		$actionText, $actionRoute, $count = 0
	)
    {
        
        $response = parent::displayAddOnActionStep($addOn,$result,$actionText,$actionRoute,$count);
        $params = $response->getParams('params');
        
        if(!isset($params['uw_preserve']))
        {
            $params['uw_preserve'] = $this->filter('uw_preserve','uint');
            $response->setParam('params',$params);
        }                   
        
        return $response;
        
    }
    
}