<?php

namespace UW\FCS\Extend\Repository;

class Thread extends XFCP_Thread
{
    public function markThreadReadByVisitor(\XF\Entity\Thread $thread, $newRead = null)
    {
        $lastComment = $this->finder('UW\FCS:Comment')
                ->where('thread_id',$thread->thread_id)
                ->limit(1)
                ->order('comment_date','DESC')
                ->fetchOne();
        
        if($lastComment && $lastComment->comment_date > $newRead)
        {
            $newRead = $lastComment->comment_date;
        }        
        
        $visitor = \XF::visitor();
        return $this->markThreadReadByUser($thread, $visitor, $newRead);
    }    
}