<?php

namespace UW\FCS\Extend\Service\Thread;

class Merger extends XFCP_Merger
{
	protected function moveDataToTarget()
	{
            $response = parent::moveDataToTarget();
            $db = $this->db();
            $target = $this->target;

            $sourceThreads = $this->sourceThreads;
            $sourceThreadIds = array_keys($sourceThreads);
            $sourceIdsQuoted = $db->quote($sourceThreadIds);

            $db->update('xf_uw_comment',
                    ['thread_id' => $target->thread_id],
                    "thread_id IN ($sourceIdsQuoted)"
            );
            return $response;
	}
}