<?php

namespace UW\FCS\Extend\Service\Thread;

class Replier extends XFCP_Replier {
    
    protected function setPostPosition(array $threadInfo)
    {
        if(\XF::options()->uw_count_comment_as_reply)
        {
            $visiblePosts = \XF::db()->fetchOne("
			SELECT COUNT(*)
			FROM xf_post
			WHERE thread_id = ?
				AND message_state = 'visible'
		", $this->post->thread_id);
		$postsCount = max(0, ($visiblePosts - 1));
            
            $threadInfo['reply_count'] = $postsCount;
        }
        return parent::setPostPosition($threadInfo);            
    }
}