<?php

namespace UW\FCS\Reaction;

use XF\Mvc\Entity\Entity;
use XF\Reaction\AbstractHandler;

class Comment extends AbstractHandler
{
	public function reactionsCounted(Entity $entity)
	{
		if (!$entity->Post || !$entity->Thread || !$entity->Thread->Forum)
		{
			return false;
		}
                
		return ($entity->status == 1 && $entity->Thread->discussion_state == 'visible');
	}

	public function getEntityWith()
	{
		$visitor = \XF::visitor();

		return ['Thread', 'Thread.Forum', 'Thread.Forum.Node.Permissions|' . $visitor->permission_combination_id];
	}
}